Approve or decline a request
POST
/time-off/{id}/decision
const url = 'https://example.com/time-off/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/decision';const options = { method: 'POST', headers: { cookie: 'bottle.session_token=<bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"approve":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/time-off/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/decision \ --header 'Content-Type: application/json' \ --cookie bottle.session_token=<bottle.session_token> \ --data '{ "approve": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
approve
required
boolean
Examplegenerated
{ "approve": true}Responses
Section titled “Responses”Decided
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
userId
required
string
userName
required
string
kind
required
string
startsOn
required
string format: date
endsOn
required
string format: date
halfStart
required
boolean
halfEnd
required
boolean
note
required
string | null
status
required
string
days
required
number
unpaidDays
required
number
decidedByName
required
string | null
decidedAt
required
string | null format: date-time
createdAt
required
string format: date-time
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "kind": "holiday", "status": "requested"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Conflict
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}